// Craig S. Kaplan
// A simplest example of using ControlP5: a sketch
// containing only a quit button, which quits the program
// when activated.

import controlP5.*;

// Create a variable to hold the user interface.
ControlP5 ui;
Button quit_button;

void setup()
{
  size( 200, 50 );
  
  // Initialize the user interface.  Create a ControlP5
  // object, and add a quit button.
  ui = new ControlP5( this );
  quit_button = ui.addButton( "Quit" )
     .setPosition( 10, 10 )
     .setSize( 180, 30 );
}

void draw()
{}

public void controlEvent(ControlEvent theEvent)
{
  // Wellllll.... normally, we'd need to check which 
  // user interface element generated the event.  But in 
  // this example, there's only one element.  So we know
  // that if we receive any event at all, it must have been
  // the quit button getting clicked.
  exit();
}